package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderCancelRequest struct {
	/*
	   取消信息     */
	UserCancelInfo *domain.AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo `json:"user_cancel_info" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderCancelRequest) SetUserCancelInfo(v domain.AlibabaTclsAelophyMerchantChannelOrderCancelOrderUserCancelInfo) *AlibabaTclsAelophyMerchantChannelOrderCancelRequest {
	s.UserCancelInfo = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantChannelOrderCancelRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UserCancelInfo != nil {
		paramMap["user_cancel_info"] = util.ConvertStruct(*req.UserCancelInfo)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantChannelOrderCancelRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
